// Static field declarations, and static initializers

class A { }
class B extends A { }

class X { 
    X(int x) { }
    X(boolean b) { }

    static A f = new B();

    static {
	A sa = new B();
	sa = new A();
    }
}

class Main {
    static public void main(String[] args) /*throws Exception*/ {
	X c = new X(5); // 
	X d = new X(true);
	X e = new X(7);
    }
}
